org.cybergarage.upnp.ssdp

## Class SSDPNotifyRequest

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPRequest
    - - org.cybergarage.upnp.ssdp.SSDPRequest
      - - org.cybergarage.upnp.ssdp.SSDPNotifyRequest

-     public class SSDPNotifyRequest
      extends SSDPRequest

  Represents an SSDP NOTIFY request for device advertisement.

  This class extends SSDPRequest to handle NOTIFY messages used by UPnP devices to advertise their presence and capabilities on the network. It manages the creation of notification messages for device discovery and presence announcement.

  Key features:

  - NOTIFY method and URI configuration
  - Device advertisement management
  - Presence announcement support
  - Bye-bye notification handling
  - Multicast destination configuration

  This class is used by UPnP devices to send NOTIFY messages announcing their availability, capabilities, and departure from the network. It enables control points to discover and track device presence automatically.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPNotifyRequest()`

  - ### Method Summary

    - ### Methods inherited from class org.cybergarage.upnp.ssdp.SSDPRequest

      `getBootId, getLeaseTime, getLocation, getNT, getNTS, getUSN, setBootId, setLeaseTime, setLocation, setNT, setNTS, setUSN`

    - ### Methods inherited from class org.cybergarage.http.HTTPRequest

      `getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, print, read, returnBadRequest, returnOK, returnResponse, set, setBindHost, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getCharSet, getConnection, getContent, getContentInputStream, getContentLanguage, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLanguage, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSDPNotifyRequest

          public SSDPNotifyRequest()